<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers"
	  data-namespace-typo3-fluid="true">
	<div class="{settings.detail.css.class.variants.wrapperOuter}">
		<div class="{settings.detail.css.class.variants.wrapper}">
			<h3 class="{settings.detail.css.class.variants.title}">
				<f:translate key="tx_shop_label.variants_headline" />
			</h3>
			<div class="{settings.detail.css.class.variants.content}">
				<ul class="{settings.detail.css.class.variants.list.wrapper}">
					<f:for each="{shop:variantFilter.generic(product: product.uid, field: 'title')}" as="variant">
						<f:if condition="{variant.active}">
							<f:then>
								<li class="{settings.detail.css.class.variants.list.item} {settings.detail.css.class.variants.list.active}">
									<b>{variant.label}</b>
								</li>
							</f:then>
							<f:else>
								<li class="{settings.detail.css.class.variants.list.item}">
									<f:link.action action="show"
												   class="{settings.detail.css.class.variants.list.link}"
												   arguments="{product: variant.product}">{variant.label}</f:link.action>
								</li>
							</f:else>
						</f:if>
					</f:for>
				</ul>
			</div>
		</div>
	</div>
</html>
